import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_xtime

name = "../../onnx/results/bench_plot_onnxruntime_knn.perf.csv"
df = pandas.read_csv(name)

plot_bench_xtime(df, row_cols=['N', 'leaf_size'], col_cols='method',
                 hue_cols=['n_neighbors'],
                 cmp_col_values=('lib', 'skl'),
                 x_value='mean', y_value='xtime',
                 parallel=(1., 0.5), title=None, fontsize=12,
                 ax=None, box_side=4)
plt.suptitle("Acceleration onnxruntime / scikit-learn for KNeighborsClassifier")
plt.show()